Subject: Re: Introducing OneDev - an open source git server with interesting features

From: Jonathan Nieder <[email-masked]>
Date: Thu, 10 Jan 2019 13:30:36 -0800

Robin Shen wrote:

> Yes it is using JGit for most operations. JGit API is very well
> designed and is a joy to use. The performance is very good, except
> for long operations such as full clone. So for pull/push I am
> calling native git, but for other operations which may need to be
> executed several times during a request I am using JGit which is
> much faster thanks for the in-process cache.
>
> I also filed several suggestions/bugs while using JGit:
>
> https://bugs.eclipse.org/bugs/buglist.cgi?email1=robin%40pmease.com&emailreporter1=1&emailtype1=substring&product=JGit&query_format=advanced

Thanks, that's very helpful.

[...]
> As to compared to other software listed here, I am only used GitHub
> intensively, so can not provide any valuable information.

No worries.  Thanks for indulging my questions. :)

Jonathan